Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox
Class Preferences

    java.lang.Object
      edu.eside.flingbox.Preferences

    public class Preferences

extends java.lang.Object

Field Summary
`static float[]` | `backgroundColor`
`static float` | `defaultDensity`
`static float` | `defaultDynamicFrictionCoeficient`
`static float` | `defaultRestitutionCoeficient`
`static float` | `defaultStaticFrictionCoeficient`
`static boolean` | `doHapticFeedback`
`static float` | `gravity`
`static long` | `hapticFeedbackTime` Haptic feedback will be performed by Preferences
`static boolean` | `useAcelerometerBasedGravity`

Method Summary
`static void` | `onLoadPreferences(Bundle savedPreferences)`
`static void` | `onSavePreferences(Bundle preferencesToSave)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### backgroundColor

    public static float[] backgroundColor

### useAcelerometerBasedGravity

    public static boolean useAcelerometerBasedGravity

### gravity

    public static float gravity

### defaultDensity

    public static float defaultDensity

### defaultRestitutionCoeficient

    public static float defaultRestitutionCoeficient

### defaultDynamicFrictionCoeficient

    public static float defaultDynamicFrictionCoeficient

### defaultStaticFrictionCoeficient

    public static float defaultStaticFrictionCoeficient

### hapticFeedbackTime

    public static long hapticFeedbackTime

  Haptic feedback will be performed by Preferences

### doHapticFeedback

    public static boolean doHapticFeedback

Method Detail

### onSavePreferences

    public static void onSavePreferences(Bundle preferencesToSave)

### onLoadPreferences

    public static void onLoadPreferences(Bundle savedPreferences)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD